<html>
<head>
<script type="text/javascript" src="Queue.js"></script>
<script type="text/javascript"/>
var pilha = new Queue();

pilha.Inserir(1);
pilha.Inserir(2);
pilha.Inserir(3);

var item = pilha.RemoverPrimeiro();
alert(item);
</script>
</head>
<body>
<h1 id="txt"></h1>
</body>
</html>